import{select, csv, scaleLinear, max, scaleBand, axisLeft, axisBottom, format} from 'd3';

const svg = d3.select('svg');


const height = +svg.attr('height');

const width = +svg.attr('width');


const render = data => {
  const xValue = d => d.Coverage;
  const yValue = d => d.Entity;
  const margin = {top: 25, right: 40, bottom: 25, left: 100};
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  
  const xScale = scaleLinear()
    .domain([0, max(data, xValue)])
    .range([0, innerWidth]);
  
  const yScale = scaleBand()
    .domain(data.map(yValue))
    .range([0, innerHeight]);

  
    
  console.log(yScale.domain());
  
  const g = svg.append('g')
    .attr('transform', `translate(${margin.left}, ${margin.top})`);
  
  g.append('g')
    .call(axisLeft(yScale))
    .selectAll('.domain, .tick line')
      .remove();
  
  
  
  g.append('g').call(axisBottom(xScale).tickFormat(format(".3r")))

      .attr('transform', `translate(0, ${innerHeight})`);
  
  g.selectAll('rect').data(data)
    .enter().append('rect')
      .attr('y', d => yScale(yValue(d)))
      .attr('width', d => xScale(xValue(d)))
      .attr('height', yScale.bandwidth());
  
  g.append('text')
      .text('Countries');
};

csv('data.csv').then(data =>{
  data.forEach(d => {
  d.Coverage = +d.Coverage;
  });
  render(data);
});
